## org.apache.aries.subsystem.core.archive
Interface RequirementHeader<C extends Clause>

All Superinterfaces:
  Header<C>

All Known Implementing Classes:
  AriesSubsystemParentsHeader, DeployedContentHeader, ImportPackageHeader, PreferredProviderHeader, ProvisionResourceHeader, RequireBundleHeader, RequireCapabilityHeader, SubsystemContentHeader, SubsystemImportServiceHeader

    public interface RequirementHeader<C extends Clause>

extends Header<C>

Method Summary
`List<? extends org.osgi.resource.Requirement>` `toRequirements(org.osgi.resource.Resource resource)`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Header
`getClauses, getName, getValue`

Method Detail

### toRequirements

    List<? extends org.osgi.resource.Requirement> toRequirements(org.osgi.resource.Resource resource)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.